package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.RelBisMedMapper;
import com.goldenwater.slaj.hidd.domain.RelBisMed;
import com.goldenwater.slaj.hidd.service.IRelBisMedService;

/**
 * 业务关联多媒体 服务层实现
 */
@Service
public class RelBisMedServiceImpl implements IRelBisMedService {

    @Autowired
    private RelBisMedMapper relBisMedMapper;

    /**
     * 查询业务关联多媒体信息
     * @param guid 查询条件
     * @return 业务关联多媒体信息
     */
    @Override
    public RelBisMed selectRelBisMedByGuid(String guid) {
        return relBisMedMapper.selectRelBisMedByGuid(guid);
    }

    /**
     * 查询业务关联多媒体列表
     * @param relBisMed 业务关联多媒体查询条件
     * @return 业务关联多媒体集合
     */
    @Override
    public List<RelBisMed> selectRelBisMedList(RelBisMed relBisMed) {
        return relBisMedMapper.selectRelBisMedList(relBisMed);
    }

    /**
     * 新增业务关联多媒体
     * @param relBisMed 业务关联多媒体信息
     * @return 影响行数
     */
    @Override
    public int insertRelBisMed(RelBisMed relBisMed) {
        return relBisMedMapper.insertRelBisMed(relBisMed);
    }

    /**
     * 修改业务关联多媒体
     * @param relBisMed 业务关联多媒体信息
     * @return 影响行数
     */
    @Override
    public int updateRelBisMed(RelBisMed relBisMed) {
        return relBisMedMapper.updateRelBisMed(relBisMed);
    }

    /**
     * 删除业务关联多媒体
     * @param guid 业务关联多媒体主键
     * @return 影响行数
     */
    @Override
    public int deleteRelBisMedByGuid(String guid) {
        return relBisMedMapper.deleteRelBisMedByGuid(guid);
    }

    /**
     * 批量删除业务关联多媒体
     * @param guids 业务关联多媒体主键数组
     * @return 影响行数
     */
    @Override
    public int deleteRelBisMedByGuids(String[] guids) {
        return relBisMedMapper.deleteRelBisMedByGuids(guids);
    }

    /**
     * 根据业务表名和业务guid查询关联多媒体
     * @param bisTablename 业务表名
     * @param bisGuid 业务guid
     * @return 关联多媒体集合
     */
    @Override
    public List<RelBisMed> selectRelBisMedByBisInfo(String bisTablename, String bisGuid) {
        return relBisMedMapper.selectRelBisMedByBisInfo(bisTablename, bisGuid);
    }

    /**
     * 根据业务表名和业务guid删除关联多媒体
     * @param bisTablename 业务表名
     * @param bisGuid 业务guid
     * @return 影响行数
     */
    @Override
    public int deleteRelBisMedByBisInfo(String bisTablename, String bisGuid) {
        return relBisMedMapper.deleteRelBisMedByBisInfo(bisTablename, bisGuid);
    }
}
